pcl::io::configurationProfile_t Struct Reference

`#include <pcl/compression/compression_profiles.h>`

## Public Attributes

double | pointResolution
const double | octreeResolution
bool | doVoxelGridDownSampling
unsigned int | iFrameRate
const unsigned char | colorBitResolution
bool | doColorEncoding

## Detailed Description

Definition at line 70 of file compression_profiles.h.

## Member Data Documentation

const unsigned char pcl::io::configurationProfile_t::colorBitResolution

Definition at line 76 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

bool pcl::io::configurationProfile_t::doColorEncoding

Definition at line 77 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

bool pcl::io::configurationProfile_t::doVoxelGridDownSampling

Definition at line 74 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

unsigned int pcl::io::configurationProfile_t::iFrameRate

Definition at line 75 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

const double pcl::io::configurationProfile_t::octreeResolution

Definition at line 73 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

double pcl::io::configurationProfile_t::pointResolution

Definition at line 72 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, OctreeT >::initialization().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/compression/compression_profiles.h